API Reference

Purchase Approvals

3 endpoints· Auth: JWT or API Key
post/api/v1/console/purchase-invoices/approvals/{approvalRequestId}/apply JWT API Key

Create apply

Path parameters

approvalRequestIdrequired
string (uuid)
—

Request body

application/json
{
  "note": "string"
}
note
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/purchase-invoices/approvals/{approvalRequestId}/apply" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "note": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/purchase-orders/{id}/apply-approval JWT API Key

Create apply-approval

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "approvalRequestId": "00000000-0000-0000-0000-000000000000",
  "note": "string"
}
approvalRequestId
string (uuid)
—
note
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/{id}/apply-approval" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "approvalRequestId": "00000000-0000-0000-0000-000000000000",
  "note": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/purchase-orders/{id}/revert-approval JWT API Key

Create revert-approval

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "approvalRequestId": "00000000-0000-0000-0000-000000000000",
  "note": "string"
}
approvalRequestId
string (uuid)
—
note
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/{id}/revert-approval" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "approvalRequestId": "00000000-0000-0000-0000-000000000000",
  "note": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu